=== debian/changelog ===
ros-lunar-costmap-2d (1.15.2-0xenial) xenial; urgency=high

  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * Merge pull request #670 <https://github.com/ros-planning/navigation/issues/670> from DLu/fix206_lunar
    Fixes #206 <https://github.com/ros-planning/navigation/issues/206> for Lunar
  * fix 'enable' for static_layer with rolling window (#659 <https://github.com/ros-planning/navigation/issues/659>) (#665 <https://github.com/ros-planning/navigation/issues/665>)
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.
  * Contributors: Aaron Hoy, David V. Lu!!, Jannik Abbenseth, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 22 Mar 2018 07:00:00 -0000

ros-lunar-costmap-2d (1.15.1-0xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 07:00:00 -0000

ros-lunar-costmap-2d (1.15.0-0xenial) xenial; urgency=high

  * Added parameter for allowing inflation in unknown cells (#564 <https://github.com/ros-planning/navigation/issues/564>)
  * Inflation Layer protected members and virtual computeCost [ABI BREAKING]
  * Fix for #517 <https://github.com/ros-planning/navigation/issues/517>: create a getRobotPose method on move_base instead of using that on the costmaps
  * don't update costs if inflation radius is zero
  * rebase fixups
  * convert packages to format2
  * Speedup (~60%) inflation layer update (#525 <https://github.com/ros-planning/navigation/issues/525>)
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * add missing deps on libpcl
  * import only PCL common
  * pcl proagate -lQt5::Widgets flag so we need to find_package Qt5Widgets (#578 <https://github.com/ros-planning/navigation/issues/578>)
  * Added deps to amcl costmap_2d move_base (#512 <https://github.com/ros-planning/navigation/issues/512>)
  * remove GCC warnings
  * Fix CMake warnings
  * renamed targets for message generation (gencpp -> generate_messages_cpp) in order to avoid warnings for non-existing target dependencies
  * Fixed race condition with costmaps
  * Merge pull request #491 <https://github.com/ros-planning/navigation/issues/491> from alexhenning/kinetic-inflation-fix
  * Fixed sign error in inflation layer
  * Adds warning when a layer shrinks the bounds
  * Fixed bug with inflation layer that caused underinflation
  * Fixed bug with artifacts when not current
  * Fix bug with inflation artifacts being left behind
  * Fixes issue with costmaps shearing
  * Made costmap publishing truly lazy
  * Contributors: Alex Henning, Alexander Reimann, Hidde Wieringa, Jorge Santos, Jorge Santos Simón, Martin Günther, Michael Ferguson, Mikael Arguedas, Stephan Opfer, Vincent Rabaud, mryellow

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 07:00:00 -0000

ros-lunar-costmap-2d (1.14.0-0xenial) xenial; urgency=high

  * Reordered initializer list to match order of declarations.
    This avoids compiler warning with some compilers.
  * Made update map threadsafe
    This is necessary for some plugins (e.g. VoxelLayer) that implement a
    thread unsafe updateBounds() function.
  * Fix bug with resetting static layer
    If we don't have a new topic, consider our old data as if it were new.
  * fix resource locations to fix tests
  * Increase time-limit on failing test
  * Merge pull request #388 <https://github.com/ros-planning/navigation/issues/388> from yujinrobot/jade_inflation_ghost_fix
    No more ghosts in the inflation layer
  * Fixes the dynamic reconfigure segfault
    Doing a dynamic reconfigure of the inflation radius recreates
    the cached cost values without first locking a mutex, which causes
    a segfault. This breaks the reconfigure of inflation parameters into
    a separate function and adds a mutex lock.
  * Merge pull request #415 <https://github.com/ros-planning/navigation/issues/415> from alexhenning/jade-fix-multiple-static-layers
    Fixes an issue with having multiple static layers
  * Fixes an issue with having multiple static layers
    If you have a static layer in both the local and global costmaps that
    use the same map topic, there is a race condition that can cause the
    static layer to get stuck after printing Requesting map..... This race
    condition seems to be due to the call to shutdown in deactivate and how
    the NodeHandle handles multiple subscribers under the hood.
    This issue appears to happen about 1 in 1000 times in the setup I was
    testing. This fix has never failed in over 1000000 tests. Instead of
    calling activate and deactivate, the publisher is only recreated if the
    topic has changed. Otherwise, it reuses the old setup.
  * fix related to issue #408 <https://github.com/ros-planning/navigation/issues/408> - With Rolling Window on, costmap_2d not properly updating bounds and costs in the static layer
  * No more ghosts in the inflation layer
    Previous bounds would fit the sensor measurements, and the inflation layer would clear
    out to these, but leave 'ghosts' behind. These ghosts are from two sources - 1) the
    inflation radius and 2) whole obstacles left behind as the robot has moved from the last point.
    The modifications here remember the last bounds and set the new bounds so that a box at least
    large enough to incorporate the old bounds plus the inflation radius is generated.
  * Contributors: Alex Henning, Daniel Stonier, Levon Avagyan, Michael Ferguson, palmieri

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 07:00:00 -0000

ros-lunar-costmap-2d (1.13.1-0xenial) xenial; urgency=high

  * Remove excessive canTransform spam.
  * Fix for #382 <https://github.com/ros-planning/navigation/issues/382>
  * Republish costmap if origin changes
  * Remove Footprint Layer

